<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#a69d93758d3b0925e0a56bcbb347d4523">activate</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a39af26a364ed0b0b02dded453f212dd4">activeWithNoMessage</a></td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a34eb81edd484f2c867317fa8020a70e8">addEdge</a>(EdgeType &amp;x)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#abe5ac40c01303629cf1ded76fccd5fc9">addEdge</a>(ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a74baae25363b379b03e47cdb980ff6a1">addEdge</a>(OUT_EDGE_BUF &amp;x)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a3f16f2faf45cebba568c243a55da4e3e">aggregateInfoPtr</a></td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a052ec7617bb9517859b3c161aa30e7ff">canReactivate</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#a8ae7863a14aa94dd662d5177f2f21d6a">clear</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a998b9ff387f81cf03698afc0f03d285d">clearEdges</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#a7539009c0bf5fc9f247a159e273fedb5">compute</a>(MESSAGE_BUF_TYPE *pIn, vector&lt; MESSAGE_TYPE, ALLOCATOR_TYPE &gt; *pOut, uint_fast32_t numMessages)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a417f8b88f76dad8f8b2d76841fade45c">TIGLContainersVertexBase::compute</a>(void *pIn=0, void *pOut=0)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#ad8571df099d529a8530c9c28943f6294">flagActive</a></td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a8d95b1a399f35f2041ad3f427d607d8f">get_edge</a>(ID_TYPE target)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a5518145dfac6cccf6a953844db832437">get_value</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a507b6bc82839feae98ad222affa1c6bd">getAlgData</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#ad400ab868eb9d01dc4a54eecdd42af80">getBeginOutEdgeIterator</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a020e6811758e3aa6dbfca82a5032ef8e">getChildren</a>(vector&lt; IdType &gt; &amp;vectChildren)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a7b59a25cdae1065397cea8492f0decd3">getEdgesSize</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a1407b2b9e0feaa5673d4453a1f2b68f5">getEndOutEdgeIterator</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a80eb6cd8ce4211480a2a14690701142f">getId</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#ad415db584d2b07288ae68cc9b36a976e">getMessageBufSize</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a093103af72a37ba4f79cb3a8795d7bac">getNumDifferentNbr</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#aa2ee1c3555c41d6c5d5158c7db87e553">getNumOutEdges</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a68eb54bdc5fc2b3af1396af8e78fda05">id</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a351a476ae7f2d930857bdd973bcbbbc8">init</a>(INIT_TYPE *initParams, vector&lt; MESSAGE_TYPE, ALLOCATOR_TYPE &gt; *pOut)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a458ade4c962b0e139837e736b5099cea">TIGLContainersVertexBase::init</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#ad4d81194f3d15e28724b5397dd6f8057">isActive</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#aa28f23add98dfce6a5479b99c06af2d1">isActiveWithNoMessage</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#ae4098c57f115e926e46c4fb48e8eff08">isBiVertex</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a64bf2204455cd6fcfbe09250bfb5ce8e">isConnected</a>(IdType node)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a25138dd4310e4e5e181fdc06d333b1b5">operator&lt;</a>(const TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt; &amp;rhs) const </td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a837cba707df462ae475ae2d2f6bc1fb0">operator==</a>(const TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt; &amp;rhs) const </td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a73d57311fa56ef50a2d49ac4002d534c">outEdges</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#a4d3dbce66b581ee792f0860d5473ad47">reactivateFlag</a></td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#ab006f12fd9aeec205ea897c20e59510c">removeEdge</a>(IdType &amp;target)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#ad8503c72e2946374b868377ce7cf6738">setAggPtr</a>(AGGREGATE_TYPE *infoPtr)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a91f156ad92a87e52f8f3eb9925b6aa5f">setParams</a>(IdType key, DataType data, AlgDataType alg)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#a144983fc25f8daec86625edd56ce82a2">Vertex</a>(IdType key, bool noMessageFlag, bool inFlagReactivate)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a6b2f4b7b7cc07d364838b506493a0c81">Vertex</a>(IdType key, DataType data, AlgDataType alg, bool noMessageFlag=false, bool inFlagReactivate=true)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#ad98013a46e7f7364b653bf8efe284e8d">Vertex</a>(IdType key)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a01513ff1363ca5b4f9a8b28d402ab08e">Vertex</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#a1c904115bc70bbb847d8453fd5956dd8">Vertex</a>(IdType key, DataType data, AlgDataType alg)</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#adb1a2b93398a600c6f3ec63b07b5d298">TIGLContainersVertexBase</a>(IdType key)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#afd0ed7e9119b24c396140cfdfdd680aa">TIGLContainersVertexBase</a>(IdType key, DataType data, AlgDataType alg)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#af14b55996c13b084fdf5f33f42264ff1">TIGLContainersVertexBase</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#acfa725b9d37b7b7db14b070df9eb6be9">vertexData</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertex.html#a8da96efbfde6073f47940c46c0acbac3">vote_to_halt</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertex.html#a933064a2f8d1a6491dcb9118b107ed4a">~Vertex</a>()</td><td class="entry"><a class="el" href="classVertex.html">Vertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:10:45 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
